summary refs log tree commit diff
path: root/scripts/database-prepare-for-0.0.1.sh
diff options
context:
space:
mode:
authorMark Haines <mark.haines@matrix.org>2015-01-15 16:57:00 +0000
committerMark Haines <mark.haines@matrix.org>2015-01-22 11:14:14 +0000
commitf4ce61ed36e7b639550953882b6ea14171108784 (patch)
treefe6e5567f13388d81f02db7a540b44fdda74d99d /scripts/database-prepare-for-0.0.1.sh
parentAbstract out the room ID from presence tests, so it's stored in self (diff)
downloadsynapse-f4ce61ed36e7b639550953882b6ea14171108784.tar.xz
Move scripts into scripts
Diffstat (limited to 'scripts/database-prepare-for-0.0.1.sh')
-rwxr-xr-xscripts/database-prepare-for-0.0.1.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/database-prepare-for-0.0.1.sh b/scripts/database-prepare-for-0.0.1.sh
new file mode 100755
index 0000000000..43d759a5cd
--- /dev/null
+++ b/scripts/database-prepare-for-0.0.1.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# This is will prepare a synapse database for running with v0.0.1 of synapse. 
+# It will store all the user information, but will *delete* all messages and
+# room data.
+
+set -e
+
+cp "$1" "$1.bak"
+
+DUMP=$(sqlite3 "$1" << 'EOF'
+.dump users
+.dump access_tokens
+.dump presence
+.dump profiles
+EOF
+)
+
+rm "$1"
+
+sqlite3 "$1" <<< "$DUMP"